## r-bioc-residualmatrix 1.4.0+dfsg

=== DESCRIPTION ===
Package: ResidualMatrix
Version: 1.4.0
Date: 2020-09-26
Title: Creating a DelayedMatrix of Regression Residuals
Authors@R: person("Aaron", "Lun", role=c("aut", "cre", "cph"),
        email="infinite.monkeys.with.keyboards@gmail.com")
Imports: methods, Matrix, S4Vectors, DelayedArray
Suggests: testthat, BiocStyle, knitr, rmarkdown, BiocSingular
biocViews: Software, DataRepresentation, Regression, BatchEffect,
        ExperimentalDesign
Description: 
    Provides delayed computation of a matrix of residuals after fitting a
    linear model to each column of an input matrix. Also supports partial
    computation of residuals where selected factors are to be preserved in the
    output matrix. Implements a number of efficient methods for operating on
    the delayed matrix of residuals, most notably matrix multiplication 
    and calculation of row/column sums or means.
License: GPL-3
VignetteBuilder: knitr
RoxygenNote: 7.1.1
BugReports: https://github.com/LTLA/ResidualMatrix/issues
URL: https://github.com/LTLA/ResidualMatrix
git_url: https://git.bioconductor.org/packages/ResidualMatrix
git_branch: RELEASE_3_14
git_last_commit: 6394364
git_last_commit_date: 2021-10-26
Date/Publication: 2021-10-26
NeedsCompilation: no
Packaged: 2021-10-26 22:32:30 UTC; biocbuild
Author: Aaron Lun [aut, cre, cph]
Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

## r-bioc-residualmatrix 1.4.0%2Bdfsg

=== debian/control ===
Source: r-bioc-residualmatrix
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Nilesh Patra <nilesh@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-matrix,
               r-bioc-s4vectors,
               r-bioc-delayedarray
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-residualmatrix
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-residualmatrix.git
Homepage: https://bioconductor.org/packages/ResidualMatrix/
Rules-Requires-Root: no

Package: r-bioc-residualmatrix
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Creating a DelayedMatrix of Regression Residuals
 Provides delayed computation of a matrix of residuals after fitting a
 linear model to each column of an input matrix. Also supports partial
 computation of residuals where selected factors are to be preserved in the
 output matrix. Implements a number of efficient methods for operating on
 the delayed matrix of residuals, most notably matrix multiplication
 and calculation of row/column sums or means.

## r-bioc-residualmatrix 1.4.0+dfsg

=== debian/changelog ===
r-bioc-residualmatrix (1.4.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 25 Nov 2021 07:59:51 +0100

r-bioc-residualmatrix (1.2.0+dfsg-2) unstable; urgency=medium

  * Source-only upload.

 -- Nilesh Patra <nilesh@debian.org>  Sat, 06 Nov 2021 19:26:03 +0530

r-bioc-residualmatrix (1.2.0+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #994615)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 18 Sep 2021 20:19:40 +0530

## r-bioc-residualmatrix 1.6.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: ResidualMatrix
-Version: 1.4.0
-Date: 2020-09-26
+Version: 1.6.1
+Date: 2022-08-15
 Title: Creating a DelayedMatrix of Regression Residuals
 Authors@R: person("Aaron", "Lun", role=c("aut", "cre", "cph"),
         email="infinite.monkeys.with.keyboards@gmail.com")
@@ -17,15 +17,15 @@
     and calculation of row/column sums or means.
 License: GPL-3
 VignetteBuilder: knitr
-RoxygenNote: 7.1.1
+RoxygenNote: 7.2.1
 BugReports: https://github.com/LTLA/ResidualMatrix/issues
 URL: https://github.com/LTLA/ResidualMatrix
 git_url: https://git.bioconductor.org/packages/ResidualMatrix
-git_branch: RELEASE_3_14
-git_last_commit: 6394364
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
+git_branch: RELEASE_3_15
+git_last_commit: 5a36715
+git_last_commit_date: 2022-08-16
+Date/Publication: 2022-08-16
 NeedsCompilation: no
-Packaged: 2021-10-26 22:32:30 UTC; biocbuild
+Packaged: 2022-08-16 21:44:51 UTC; biocbuild
 Author: Aaron Lun [aut, cre, cph]
 Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-residualmatrix (1.6.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Provide autopkgtest-pkg-r.conf to make sure testthat will be found
  * Drop debian/tests/control and rely on autopkgtest-pkg-r

 -- Andreas Tille <tille@debian.org>  Tue, 23 Aug 2022 16:03:33 +0200

r-bioc-residualmatrix (1.6.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 22 Aug 2022 08:09:56 +0200

r-bioc-residualmatrix (1.6.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 14 May 2022 23:50:44 +0200

## r-bioc-residualmatrix 1.8.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: ResidualMatrix
-Version: 1.6.1
+Version: 1.8.0
 Date: 2022-08-15
 Title: Creating a DelayedMatrix of Regression Residuals
 Authors@R: person("Aaron", "Lun", role=c("aut", "cre", "cph"),
@@ -21,11 +21,11 @@
 BugReports: https://github.com/LTLA/ResidualMatrix/issues
 URL: https://github.com/LTLA/ResidualMatrix
 git_url: https://git.bioconductor.org/packages/ResidualMatrix
-git_branch: RELEASE_3_15
-git_last_commit: 5a36715
-git_last_commit_date: 2022-08-16
-Date/Publication: 2022-08-16
+git_branch: RELEASE_3_16
+git_last_commit: 888a93e
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
 NeedsCompilation: no
-Packaged: 2022-08-16 21:44:51 UTC; biocbuild
+Packaged: 2022-11-01 22:43:05 UTC; biocbuild
 Author: Aaron Lun [aut, cre, cph]
 Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-residualmatrix (1.8.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 21 Nov 2022 07:28:19 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: r-bioc-residualmatrix
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Nilesh Patra <nilesh@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-residualmatrix
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-residualmatrix.git
+Homepage: https://bioconductor.org/packages/ResidualMatrix/
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-matrix,
                r-bioc-s4vectors,
                r-bioc-delayedarray
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-residualmatrix
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-residualmatrix.git
-Homepage: https://bioconductor.org/packages/ResidualMatrix/
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-residualmatrix
 Architecture: all

## r-bioc-residualmatrix 1.10.0+dfsg

=== debian/changelog ===
r-bioc-residualmatrix (1.10.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 26 Jul 2023 18:10:11 +0200

## r-bioc-residualmatrix 1.12.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: ResidualMatrix
-Version: 1.8.0
+Version: 1.12.0
 Date: 2022-08-15
 Title: Creating a DelayedMatrix of Regression Residuals
 Authors@R: person("Aaron", "Lun", role=c("aut", "cre", "cph"),
@@ -21,11 +21,11 @@
 BugReports: https://github.com/LTLA/ResidualMatrix/issues
 URL: https://github.com/LTLA/ResidualMatrix
 git_url: https://git.bioconductor.org/packages/ResidualMatrix
-git_branch: RELEASE_3_16
-git_last_commit: 888a93e
-git_last_commit_date: 2022-11-01
-Date/Publication: 2022-11-01
+git_branch: RELEASE_3_18
+git_last_commit: c14a5bb
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24
 NeedsCompilation: no
-Packaged: 2022-11-01 22:43:05 UTC; biocbuild
+Packaged: 2023-10-24 22:43:59 UTC; biocbuild
 Author: Aaron Lun [aut, cre, cph]
 Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-residualmatrix (1.12.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 30 Nov 2023 12:59:06 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-residualmatrix
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-residualmatrix.git
 Homepage: https://bioconductor.org/packages/ResidualMatrix/
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-bioc-residualmatrix 1.14.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: ResidualMatrix
-Version: 1.12.0
-Date: 2022-08-15
+Version: 1.14.1
+Date: 2024-06-21
 Title: Creating a DelayedMatrix of Regression Residuals
 Authors@R: person("Aaron", "Lun", role=c("aut", "cre", "cph"),
         email="infinite.monkeys.with.keyboards@gmail.com")
@@ -17,15 +17,16 @@
     and calculation of row/column sums or means.
 License: GPL-3
 VignetteBuilder: knitr
-RoxygenNote: 7.2.1
+RoxygenNote: 7.3.1
 BugReports: https://github.com/LTLA/ResidualMatrix/issues
 URL: https://github.com/LTLA/ResidualMatrix
 git_url: https://git.bioconductor.org/packages/ResidualMatrix
-git_branch: RELEASE_3_18
-git_last_commit: c14a5bb
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
+git_branch: RELEASE_3_19
+git_last_commit: 9967e06
+git_last_commit_date: 2024-06-21
+Repository: Bioconductor 3.19
+Date/Publication: 2024-06-23
 NeedsCompilation: no
-Packaged: 2023-10-24 22:43:59 UTC; biocbuild
+Packaged: 2024-06-23 23:18:44 UTC; biocbuild
 Author: Aaron Lun [aut, cre, cph]
 Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-residualmatrix (1.14.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 17 Aug 2024 21:11:46 +0200

r-bioc-residualmatrix (1.14.1+dfsg-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 23 Jul 2024 11:57:38 +0200

r-bioc-residualmatrix (1.14.1+dfsg-1~0exp) experimental; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Drop Nilesh from Uploaders as requested (Thanks for all your work, Nilesh)

  [ Michael R. Crusoe ]
  * New upstream version
  * d/tests/autopkgtest-pkg-r.conf: skip on 32-bit architectures.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 10 Jul 2024 10:51:04 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
-Uploaders: Nilesh Patra <nilesh@debian.org>
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-residualmatrix
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-residualmatrix.git
 Homepage: https://bioconductor.org/packages/ResidualMatrix/
@@ -12,16 +11,20 @@
                dh-r,
                r-base-dev,
                r-cran-matrix,
-               r-bioc-s4vectors,
-               r-bioc-delayedarray
+               r-bioc-s4vectors (>= 0.42.1),
+               r-bioc-delayedarray (>= 0.30.1)
 Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-residualmatrix
 Architecture: all
 Depends: ${R:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         r-bioc-s4vectors (>= 0.42.1),
+         r-bioc-delayedarray (>= 0.30.1)
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests}
+Suggests: ${R:Suggests},
+          r-bioc-biocstyle (>= 2.32.1),
+          r-bioc-biocsingular (>= 1.20.0)
 Description: Creating a DelayedMatrix of Regression Residuals
  Provides delayed computation of a matrix of residuals after fitting a
  linear model to each column of an input matrix. Also supports partial

## r-bioc-residualmatrix 1.16.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: ResidualMatrix
-Version: 1.14.1
+Version: 1.16.0
 Date: 2024-06-21
 Title: Creating a DelayedMatrix of Regression Residuals
 Authors@R: person("Aaron", "Lun", role=c("aut", "cre", "cph"),
@@ -21,12 +21,12 @@
 BugReports: https://github.com/LTLA/ResidualMatrix/issues
 URL: https://github.com/LTLA/ResidualMatrix
 git_url: https://git.bioconductor.org/packages/ResidualMatrix
-git_branch: RELEASE_3_19
-git_last_commit: 9967e06
-git_last_commit_date: 2024-06-21
-Repository: Bioconductor 3.19
-Date/Publication: 2024-06-23
+git_branch: RELEASE_3_20
+git_last_commit: c35e727
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: no
-Packaged: 2024-06-23 23:18:44 UTC; biocbuild
+Packaged: 2024-10-30 02:26:12 UTC; biocbuild
 Author: Aaron Lun [aut, cre, cph]
 Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-residualmatrix (1.16.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 12 Jan 2025 21:48:55 +0100

r-bioc-residualmatrix (1.16.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 28 Nov 2024 17:55:20 +0100

=== debian/control ===
--- 
+++ 
@@ -5,26 +5,22 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-residualmatrix
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-residualmatrix.git
 Homepage: https://bioconductor.org/packages/ResidualMatrix/
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-matrix,
-               r-bioc-s4vectors (>= 0.42.1),
-               r-bioc-delayedarray (>= 0.30.1)
+               r-bioc-s4vectors,
+               r-bioc-delayedarray
 Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-residualmatrix
 Architecture: all
 Depends: ${R:Depends},
-         ${misc:Depends},
-         r-bioc-s4vectors (>= 0.42.1),
-         r-bioc-delayedarray (>= 0.30.1)
+         ${misc:Depends}
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests},
-          r-bioc-biocstyle (>= 2.32.1),
-          r-bioc-biocsingular (>= 1.20.0)
+Suggests: ${R:Suggests}
 Description: Creating a DelayedMatrix of Regression Residuals
  Provides delayed computation of a matrix of residuals after fitting a
  linear model to each column of an input matrix. Also supports partial

=== debian/watch ===
version=4
opts=\
repack,compression=xz,\
repacksuffix=+dfsg,\
dversionmangle=auto,\
downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
https://bioconductor.org/packages/release/bioc/html/ResidualMatrix.html .*/ResidualMatrix_(.*).tar.gz
